#
# Tcl package index file
#

proc Get_Library_gid_velassco_name { basename } {
    if { $::tcl_platform(pointerSize) == 8} {
	set bits 64
    } else {
	set bits 32
    }
    set pref ""
    if { $::tcl_platform(platform) == "unix"} {
	set pref "lib"
    }
    set library ${pref}${basename}_${bits}[info sharedlibextension]
    return $library
}

proc LoadLibrary_gid_velassco { dir basename } {
    set library [ Get_Library_gid_velassco_name $basename]
    load [file join $dir $library] $basename
}

package ifneeded gid_velassco 1.0.1 \
    [ list LoadLibrary_gid_velassco $dir gid_velassco]
